Subject: bug#15461: 24.3; exec-path on ms windows should contain current directory

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Dec 2013 18:45:02 +0200

> Date: Mon, 16 Dec 2013 09:06:11 +0100
> From: Jarek Czekalski <[email-masked]>
> 
> > If we extend the issue to how executables are found
> > by call-process, cmdproxy, shell-command, etc., we will just add
> > unneeded complexity.
> 
> This remark is unnecessary. You already said that "call-process" on 
> Windows should not find the executables in the current buffer's 
> directory. That's the argument and that's enough. Saying about "unneeded 
> complexity" only makes me think that you want to close the bug as 
> quickly as possible, without much thinking.

Sorry, that was never the intent.  I apologize for whatever of my
wording that led you to this conclusion.

> > Again, let's stay focused on completion.
> 
> Agreed. I will provide a completion-only patch.

Thank you.

Btw, if the patch is going to be substantial, you may wish to start
your paperwork with FSF soon, as I don't see your name on file with
the FSF copyright assignment records.